Download Document Version Thumbnail File
Download the thumbnail image file of a specific document version.
GET
/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/thumbnailHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{major_version} | The document major_version_number__v field value. |
{minor_version} | The document minor_version_number__v field value. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.1/objects/documents/534/versions/2/3/thumbnail > thumbnail.pngResponse Details
Section link for Response DetailsOn SUCCESS, Vault returns the thumbnail image for the specified version of the document. The HTTP Response Header Content-Type is set to image/png.